Summary: Gtk-- is a C++ wrapper for GTK, the Gimp ToolKit.
Name: Gtk--
Version: 1.0.2
Release: 1
Group: X11/Libraries
Copyright: LGPL
Url: http://www.iki.fi/terop/gtk/gtk--.html
Vendor: Tero Pulkkinen <terop@modeemi.cs.tut.fi>
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gtk.org/pub/gtk/gtk--/Gtk---%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
Gtk-- is a C++ wrapper for GTK, the Gimp ToolKit. GTK is a
library for creating graphical user interfaces. Gtk-- is
distributed under GNU LGPL.


%package devel
Summary: headers and static libraries for development using libgtkmm
Group: Development/Libraries
Requires: Gtk-- = %{version}

%description devel
This package is needed to develop programs that use gtk--, the C++
extensions to gtk+.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=/usr --enable-static --enable-shared
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/usr/lib/lib*.so.*

%files devel
%defattr(-,root,root)
#%doc docs examples html
/usr/bin/*
/usr/include/*
/usr/lib/Gtk--
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/lib/lib*.so
/usr/man/man*/*
/usr/share/aclocal/*


%clean
rm -rf $RPM_BUILD_ROOT

